from bge import logic

def main():
	myVehicle = vehicle()


class all:
	# Model property
	type = 'all'						# type of object
	model = 'mavoiture'					# .blend mesh
	
	# Geometry property
	isSolid = 0							# react to collision
	mass = 0							# mass in kgs
	
	# Custom property
	max_speed = 0						# maximum velocity in km/h
	
	def __init__(self):
		self.controller = logic.getCurrentController()
		self.refobj = self.controller.owner
		self.scene = logic.getCurrentScene()
		self.filepath = logic.expandPath('//' + self.model + '.blend')
		
		self.import_mesh()
		self.clone_model()

	def import_mesh(self):
		print(self.filepath)
		logic.LibLoad(self.filepath, 'Mesh')

	def clone_model(self):
		proxy = self.scene.addObject('emptyproxy', self.refobj)
		mesh_copy = logic.LibNew(type(self).__name__ + str(id(self)), 'Mesh' , ['hull'])[0]
		proxy.replaceMesh(mesh_copy)


class vehicle(all):
	type = 'vehicle'
	
	isSolid = 1
	mass = 900
	
	max_speed = 50

	
class character(all):
	type = 'man'
	
	isSolid = 1
	mass = 80
	
	max_speed = 15

